Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.neural.prune
Enum NetworkPattern

    java.lang.Object
      java.lang.Enum<NetworkPattern>
          org.encog.neural.prune.NetworkPattern

All Implemented Interfaces:
  Serializable, Comparable<NetworkPattern>

    public enum NetworkPattern

extends Enum<NetworkPattern>

Specify which network pattern to use.

Author:
  jheaton

Enum Constant Summary
`Elman` Elman.
`Jordan` Jordan.
`MultiLayerFeedforward` Multilayer feedforward.

Method Summary
`static NetworkPattern` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NetworkPattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MultiLayerFeedforward

    public static final NetworkPattern MultiLayerFeedforward

  Multilayer feedforward.

### Elman

    public static final NetworkPattern Elman

  Elman.

### Jordan

    public static final NetworkPattern Jordan

  Jordan.

Method Detail

### values

    public static NetworkPattern[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NetworkPattern c : NetworkPattern.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NetworkPattern valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.